# Imagick::paintTransparentImage

(PECL imagick 2.0.0)

Imagick::paintTransparentImage — Changes any pixel that matches color with the color defined by fill

### Description

Imagick::paintTransparentImage ( mixed `$target` , float `$alpha` , float `$fuzz` ) : bool

Changes any pixel that matches color with the color defined by fill.

### Parameters

`target`

  Change this target color to specified opacity value within the image.

`alpha`

  The level of transparency: 1.0 is fully opaque and 0.0 is fully transparent.

`fuzz`

  The fuzz member of image defines how much tolerance is acceptable to consider two colors as the same.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Changelog

Version | Description
--- | ---
2.1.0 | Now allows a string representing the color as the first parameter. Previous versions allow only an ImagickPixel object.